JavaScript/jQuery Switch - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
Enter or Space | Changes the UI component value. |
→ | Changes the switch state to "On". |
← | Changes the switch state to "Off". |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const switch = $("#switchContainer").dxSwitch("instance");
- switch.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- switch.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Switch - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
Enter or Space Changes the UI component value.
Changes the switch state to "On".
Changes the switch state to "Off".

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Switch } from 'devextreme-react/switch';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.switchRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Switch ref={this.switchRef} />
  • );
  • }
  •  
  • get switch() {
  • return this.switchRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.switch.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.switch.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also